Package ghidra.program.model.data

# Class DataTypeManagerChangeListenerAdapter

java.lang.Object
ghidra.program.model.data.DataTypeManagerChangeListenerAdapter

All Implemented Interfaces:
  `DataTypeManagerChangeListener`

public class DataTypeManagerChangeListenerAdapter extends Object implements DataTypeManagerChangeListener
Adapter for a Category change listener.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeManagerChangeListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `categoryAdded(DataTypeManager dtm, CategoryPath path)`
  Notification when category is added.
  `void`
  `categoryMoved(DataTypeManager dtm, CategoryPath oldPath, CategoryPath newPath)`
  Notification when a category is reparented to new category.
  `void`
  `categoryRemoved(DataTypeManager dtm, CategoryPath path)`
  Notification when a category is removed.
  `void`
  `categoryRenamed(DataTypeManager dtm, CategoryPath oldPath, CategoryPath newPath)`
  Notification when category is renamed.
  `void`
  `dataTypeAdded(DataTypeManager dtm, DataTypePath path)`
  Notification when a data type is added to a category
  `void`
  `dataTypeChanged(DataTypeManager dtm, DataTypePath path)`
  Notification when data type is changed.
  `void`
  `dataTypeMoved(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath)`
  Notification when a data type is moved.
  `void`
  `dataTypeRemoved(DataTypeManager dtm, DataTypePath path)`
  Notification when data type is removed.
  `void`
  `dataTypeRenamed(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath)`
  Notification when data type is renamed.
  `void`
  `dataTypeReplaced(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath, DataType newDataType)`
  Notification when a data type has been replaced.
  `void`
  `favoritesChanged(DataTypeManager dtm, DataTypePath path, boolean isFavorite)`
  Notification the favorite status of a datatype has changed
  `void`
  `programArchitectureChanged(DataTypeManager dataTypeManager)`
  Notification that the program architecture associated with the specified dataTypeManager has changed.
  `void`
  `sourceArchiveAdded(DataTypeManager dataTypeManager, SourceArchive dataTypeSource)`
  Notification that the information for a source archive has been added.
  `void`
  `sourceArchiveChanged(DataTypeManager dataTypeManager, SourceArchive dataTypeSource)`
  Notification that the information for a particular source archive has changed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataTypeManagerChangeListenerAdapter

    public DataTypeManagerChangeListenerAdapter()

- ## Method Details

  - ### categoryAdded

    public void categoryAdded(DataTypeManager dtm, CategoryPath path)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when category is added.
    Specified by:
      `categoryAdded` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - the dataType manager
      `path` - the categoryPath of the newly added category.

  - ### categoryMoved

    public void categoryMoved(DataTypeManager dtm, CategoryPath oldPath, CategoryPath newPath)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when a category is reparented to new category.
    Specified by:
      `categoryMoved` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager associated with the category
      `oldPath` - the path of the category before it was moved.
      `newPath` - the path of the category after it was moved.

  - ### categoryRemoved

    public void categoryRemoved(DataTypeManager dtm, CategoryPath path)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when a category is removed.
    Specified by:
      `categoryRemoved` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager associated with the category
      `path` - the categoryPath of the category that was removed.

  - ### categoryRenamed

    public void categoryRenamed(DataTypeManager dtm, CategoryPath oldPath, CategoryPath newPath)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when category is renamed.
    Specified by:
      `categoryRenamed` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager associated with the category
      `oldPath` - the path of the category before it was renamed.
      `newPath` - the path of the category after it was renamed. This path will only differ in the last segment of the path.

  - ### dataTypeAdded

    public void dataTypeAdded(DataTypeManager dtm, DataTypePath path)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when a data type is added to a category
    Specified by:
      `dataTypeAdded` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `path` - the DataTypePath of the newly added datatype.

  - ### dataTypeChanged

    public void dataTypeChanged(DataTypeManager dtm, DataTypePath path)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when data type is changed.
    Specified by:
      `dataTypeChanged` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `path` - the path of the datatype that changed.

  - ### dataTypeMoved

    public void dataTypeMoved(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when a data type is moved.
    Specified by:
      `dataTypeMoved` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `oldPath` - the path of the datatype before it was moved.
      `newPath` - the path of the datatype after it was moved.

  - ### dataTypeRemoved

    public void dataTypeRemoved(DataTypeManager dtm, DataTypePath path)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when data type is removed.
    Specified by:
      `dataTypeRemoved` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `path` - the DataTypePath of the removed datatype.

  - ### dataTypeRenamed

    public void dataTypeRenamed(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when data type is renamed.
    Specified by:
      `dataTypeRenamed` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `oldPath` - the path of the datatype before it was renamed.
      `newPath` - the path of the datatype after it was renamed.

  - ### dataTypeReplaced

    public void dataTypeReplaced(DataTypeManager dtm, DataTypePath oldPath, DataTypePath newPath, DataType newDataType)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification when a data type has been replaced.
    Specified by:
      `dataTypeReplaced` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `oldPath` - the path of the datatype that was replaced.
      `newPath` - the path of the datatype that replaced the existing datatype.
      `newDataType` - the new dataType that replaced the old dataType

  - ### favoritesChanged

    public void favoritesChanged(DataTypeManager dtm, DataTypePath path, boolean isFavorite)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification the favorite status of a datatype has changed
    Specified by:
      `favoritesChanged` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dtm` - data type manager for the given category paths.
      `path` - the DataTypePath of the datatype had its favorite status changed.
      `isFavorite` - reflects the current favorite status of the datatype.

  - ### sourceArchiveAdded

    public void sourceArchiveAdded(DataTypeManager dataTypeManager, SourceArchive dataTypeSource)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification that the information for a source archive has been added. This happens when a data type from the indicated source archive is added to this data type manager.
    Specified by:
      `sourceArchiveAdded` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dataTypeManager` - data type manager referring to the given source information.
      `dataTypeSource` - the new data type source information

  - ### sourceArchiveChanged

    public void sourceArchiveChanged(DataTypeManager dataTypeManager, SourceArchive dataTypeSource)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification that the information for a particular source archive has changed. Typically, this would be because it was renamed or moved.
    Specified by:
      `sourceArchiveChanged` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dataTypeManager` - data type manager referring to the given source information.
      `dataTypeSource` - the changed data type source information

  - ### programArchitectureChanged

    public void programArchitectureChanged(DataTypeManager dataTypeManager)
    Description copied from interface: `DataTypeManagerChangeListener`
    Notification that the program architecture associated with the specified dataTypeManager has changed.
    Specified by:
      `programArchitectureChanged` in interface `DataTypeManagerChangeListener`
    Parameters:
      `dataTypeManager` - data type manager referring to the given source information.